Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3847)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3848)
@@ -4351,30 +4155,28 @@
                    ENDDO
                 ELSE
-                   ! For now species not deposited
+!
+!--                For now species not deposited
                    CYCLE
                 ENDIF
-
-                !
-                !-- Factor used for conversion from ppb to ug/m3 :
-                !   ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-                !   (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-                !   c           1e-9               xm_tracer         1e9       /       xm_air            dens
-                !-- thus:
-                !    c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-                !-- Use density at k:
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9               xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                  c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at k:
 
                 ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  ! (mole air)/m3
-
-                !
-                !-- Atmospheric concentration in DEPAC is requested in ug/m3:
-                !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
+!
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
+!--                 ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
                 catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
-
-                !
-                !-- Diffusivity for DEPAC relevant gases
-                !-- Use default value 
-                diffc            = 0.11e-4
-                !
-                !-- overwrite with known coefficients of diffusivity from Massman (1998)
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value 
+                diffc = 0.11e-4
+!
+!--             overwrite with known coefficients of diffusivity from Massman (1998)
                 IF ( spc_names(lsp) == 'NO2' ) diffc = 0.136e-4 
                 IF ( spc_names(lsp) == 'NO'  ) diffc = 0.199e-4
@@ -4384,21 +4186,16 @@
                 IF ( spc_names(lsp) == 'CH4' ) diffc = 0.191e-4
                 IF ( spc_names(lsp) == 'NH3' ) diffc = 0.191e-4
-
-
-                !
-                !-- Get quasi-laminar boundary layer resistance Rb:
-                CALL get_rb_cell( (lud_dep == ilu_water_sea) .OR. (lud_dep == ilu_water_inland), &
-                     z0h_lu, ustar_lu, diffc, &
-                     Rb )
-
-                !
-                !-- Get Rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu, glrad, cos_zenith, &
-                     relh, lai, sai, nwet, lud_dep, 2, Rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc, &
-                     r_aero_lu , Rb )
-
-
-                !
-                !-- Calculate budget 
+!
+!--             Get quasi-laminar boundary layer resistance Rb:
+                CALL get_rb_cell( (lud_dep == ilu_water_sea) .OR. (lud_dep == ilu_water_inland),   &
+                     z0h_lu, ustar_lu, diffc, rb )
+!
+!--             Get Rc_tot
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu,      &
+                                         glrad, cos_zenith, relh, lai, sai, nwet, lud_dep, 2,      &
+                                         rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc,            &
+                                         r_aero_lu , rb )
+!
+!--             Calculate budget 
                 IF ( Rc_tot <= 0.0 )  THEN
 
@@ -4419,6 +4216,6 @@
 
        bud_now = 0.0_wp
-       !
-       !-- Calculate overall budget for surface m and adapt concentration
+!
+!--    Calculate overall budget for surface m and adapt concentration
        DO  lsp = 1, nspec
 
@@ -4427,7 +4224,6 @@
                surf_usm_h%frac(ind_pav_green,m) * bud_now_lug(lsp) + &
                surf_usm_h%frac(ind_wat_win,m) * bud_now_lud(lsp)
-
-          !
-          !-- Compute new concentration
+!
+!--       Compute new concentration
           cc(lsp) = cc(lsp) + bud_now(lsp) * inv_dh
 
@@ -4439,59 +4235,49 @@
 
 
-
  END SUBROUTINE chem_depo
 
 
-
- !----------------------------------------------------------------------------------
- !
- !> DEPAC:
- !> Code of the DEPAC routine and corresponding subroutines below from the DEPAC
- !> module of the LOTOS-EUROS model (Manders et al., 2017)
- !   
- !> Original DEPAC routines by RIVM and TNO (2015), for Documentation see
- !> van Zanten et al., 2010.
- !---------------------------------------------------------------------------------
- !    
- !----------------------------------------------------------------------------------    
- !
- !> depac: compute total canopy (or surface) resistance Rc for gases
- !----------------------------------------------------------------------------------
-
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute total canopy (or surface) resistance Rc for gases
+!>
+!> DEPAC:
+!> Code of the DEPAC routine and corresponding subroutines below from the DEPAC
+!> module of the LOTOS-EUROS model (Manders et al., 2017)
+!>
+!> Original DEPAC routines by RIVM and TNO (2015), for Documentation see
+!> van Zanten et al., 2010.
+!------------------------------------------------------------------------------!
  SUBROUTINE drydepos_gas_depac( compnam, day_of_year, lat, t, ust, glrad, sinphi,  &
       rh, lai, sai, nwet, lu, iratns, rc_tot, ccomp_tot, p, catm, diffc,           &
       ra, rb )  
-
-
-   !
-   !--Some of depac arguments are OPTIONAL:
-   !
-   !-- A. compute Rc_tot without compensation points (ccomp_tot will be zero):
-   !--     CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi])
-   !
-   !-- B. compute Rc_tot with compensation points (used for LOTOS-EUROS):
-   !--     CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-   !                  c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water)
-   !
-   !-- C. compute effective Rc based on compensation points (used for OPS):
-   !--     CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-   !                 c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
-   !                 ra, rb, rc_eff)
-   !-- X1. Extra (OPTIONAL) output variables: 
-   !--     CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-   !                 c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
-   !                 ra, rb, rc_eff, &
-   !                 gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out, lai_out, sai_out)
-   !-- X2. Extra (OPTIONAL) needed for stomatal ozone flux calculation (only sunlit leaves): 
-   !--     CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-   !                 c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
-   !                 ra, rb, rc_eff, &
-   !                 gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out, lai_out, sai_out, &
-   !                 calc_stom_o3flux, frac_sto_o3_lu, fac_surface_area_2_PLA)
-
+!
+!--   Some of depac arguments are OPTIONAL:
+!--    A. compute Rc_tot without compensation points (ccomp_tot will be zero):
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi])
+!--    B. compute Rc_tot with compensation points (used for LOTOS-EUROS):
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
+!--                c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water)
+!--
+!--    C. compute effective Rc based on compensation points (used for OPS):
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
+!--               c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
+!--               ra, rb, rc_eff)
+!--    X1. Extra (OPTIONAL) output variables: 
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
+!--               c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
+!--               ra, rb, rc_eff, &
+!--               gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out, lai_out, sai_out)
+!--    X2. Extra (OPTIONAL) needed for stomatal ozone flux calculation (only sunlit leaves): 
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
+!--               c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
+!--               ra, rb, rc_eff, &
+!--               gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out, lai_out, sai_out, &
+!--               calc_stom_o3flux, frac_sto_o3_lu, fac_surface_area_2_PLA)
 
     IMPLICIT NONE
 
-    CHARACTER(len=*), INTENT(IN) ::  compnam         !< component name
+    CHARACTER(LEN=*), INTENT(IN) ::  compnam         !< component name
                                                      !< 'HNO3','NO','NO2','O3','SO2','NH3'
     INTEGER(iwp), INTENT(IN) ::  day_of_year         !< day of year, 1 ... 365 (366)
@@ -4518,13 +4304,11 @@
     REAL(wp), INTENT(OUT) ::  rc_tot                 !< total canopy resistance Rc (s/m)
     REAL(wp), INTENT(OUT) ::  ccomp_tot              !< total compensation point (ug/m3)
-                                                     !< [= 0 for species that don't have a compensation
-    !
-    !-- Local variables:
-    ! 
-    !-- Component number taken from component name, paramteres matched with include files
+!                                                     !< [= 0 for species that don't have a compensation
+!-- Local variables:
+!
+!-- Component number taken from component name, paramteres matched with include files
     INTEGER(iwp) ::  icmp
-
-    !
-    !-- Component numbers:
+!
+!-- Component numbers:
     INTEGER(iwp), PARAMETER ::  icmp_o3   = 1
     INTEGER(iwp), PARAMETER ::  icmp_so2  = 2
@@ -4541,6 +4325,6 @@
     !< = 1 -> constant Rc
     !< = 2 -> temperature dependent Rc
-    !
-    !-- Vegetation indicators:
+!
+!-- Vegetation indicators:
     LOGICAL ::  lai_present                          !< leaves are present for current land use type
     LOGICAL ::  sai_present                          !< vegetation is present for current land use type
@@ -4554,13 +4338,9 @@
     REAL(wp) ::  cstom                               !< stomatal compensation point (ug/m3)
     REAL(wp) ::  csoil                               !< soil compensation point (ug/m3)
-
-
 !
 !-- Next statement is just to avoid compiler warning about unused variable
     IF ( day_of_year == 0  .OR.  ( catm + lat + ra + rb ) > 0.0_wp )  CONTINUE
-
-
-    !
-    !-- Define component number
+!
+!-- Define component number
     SELECT CASE ( TRIM( compnam ) )
 
@@ -4596,12 +4376,12 @@
 
     CASE default
-       !
-       !-- Component not part of DEPAC --> not deposited
+!
+!--    Component not part of DEPAC --> not deposited
        RETURN
 
     END SELECT
 
-    !
-    !-- Inititalize
+!
+!-- Inititalize
     gw        = 0.0_wp
     gstom     = 0.0_wp
@@ -4611,51 +4391,44 @@
     cstom     = 0.0_wp
     csoil     = 0.0_wp
-
-
-    !
-    !-- Check whether vegetation is present:
+!
+!-- Check whether vegetation is present:
     lai_present = ( lai > 0.0 )
     sai_present = ( sai > 0.0 )
-
-    !
-    !-- Set Rc (i.e. rc_tot) in special cases:
+!
+!-- Set Rc (i.e. rc_tot) in special cases:
     CALL rc_special( icmp, compnam, lu, t, nwet, rc_tot, ready, ccomp_tot )
-
-    !
-    !-- If Rc is not set:
+!
+!-- If Rc is not set:
     IF ( .NOT. ready ) then
-
-       !
-       !-- External conductance:
+!
+!--    External conductance:
        CALL rc_gw( compnam, iratns, t, rh, nwet, sai_present, sai,gw )         
-
-       !
-       !-- Stomatal conductance:
+!
+!--    Stomatal conductance:
        CALL rc_gstom( icmp, compnam, lu, lai_present, lai, glrad, sinphi, t, rh, diffc, gstom, p )
-       !
-       !-- Effective soil conductance:
+!
+!--    Effective soil conductance:
        CALL rc_gsoil_eff( icmp, lu, sai, ust, nwet, t, gsoil_eff )
-
-       !
-       !-- Total canopy conductance (gc_tot) and resistance Rc (rc_tot):
+!
+!--    Total canopy conductance (gc_tot) and resistance Rc (rc_tot):
        CALL rc_rctot( gstom, gsoil_eff, gw, gc_tot, rc_tot )
-
-       !
-       !-- Needed to include compensation point for NH3
-       !-- Compensation points (always returns ccomp_tot; currently ccomp_tot != 0 only for NH3):
-       !-- CALL rc_comp_point( compnam,lu,day_of_year,t,gw,gstom,gsoil_eff,gc_tot,&
-       !     lai_present, sai_present, &
-       !     ccomp_tot, &
-       !     catm=catm,c_ave_prev_nh3=c_ave_prev_nh3, &
-       !     c_ave_prev_so2=c_ave_prev_so2,gamma_soil_water=gamma_soil_water, &
-       !     tsea=tsea,cw=cw,cstom=cstom,csoil=csoil )
-       !
-       !-- Effective Rc based on compensation points:
-       !   IF ( present(rc_eff) ) then
-       !     check on required arguments:
-       !      IF ( (.not. present(catm)) .OR. (.not. present(ra)) .OR. (.not. present(rb)) ) then
-       !         stop 'output argument rc_eff requires input arguments catm, ra and rb'
-       !      END IF
-       !--    Compute rc_eff :
+!
+!--    Needed to include compensation point for NH3
+!--    Compensation points (always returns ccomp_tot; currently ccomp_tot != 0 only for NH3):
+!--    CALL rc_comp_point( compnam,lu,day_of_year,t,gw,gstom,gsoil_eff,gc_tot,&
+!--          lai_present, sai_present, &
+!--          ccomp_tot, &
+!--          catm=catm,c_ave_prev_nh3=c_ave_prev_nh3, &
+!--          c_ave_prev_so2=c_ave_prev_so2,gamma_soil_water=gamma_soil_water, &
+!--          tsea=tsea,cw=cw,cstom=cstom,csoil=csoil )
+!
+!--    Effective Rc based on compensation points:
+!--        IF ( present(rc_eff) ) then
+!--          check on required arguments:
+!--           IF ( (.not. present(catm)) .OR. (.not. present(ra)) .OR. (.not. present(rb)) ) then
+!--              stop 'output argument rc_eff requires input arguments catm, ra and rb'
+!--           END IF
+!
+!--       Compute rc_eff :
        !      CALL rc_comp_point_rc_eff(ccomp_tot,catm,ra,rb,rc_tot,rc_eff)
        !   ENDIF
@@ -4665,19 +4438,20 @@
 
 
-
- !-------------------------------------------------------------------
- !> rc_special: compute total canopy resistance in special CASEs
- !-------------------------------------------------------------------
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute total canopy resistance in special cases
+!------------------------------------------------------------------------------!
  SUBROUTINE rc_special( icmp, compnam, lu, t, nwet, rc_tot, ready, ccomp_tot )
 
     IMPLICIT NONE
    
-    CHARACTER(len=*), INTENT(IN) ::  compnam     !< component name
-
-    INTEGER(iwp), INTENT(IN) ::  icmp            !< component index      
-    INTEGER(iwp), INTENT(IN) ::  lu              !< land use type, lu = 1,...,nlu
-    INTEGER(iwp), INTENT(IN) ::  nwet            !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
-
-    REAL(wp), INTENT(IN) ::  t                   !< temperature (C)
+    CHARACTER(LEN=*), INTENT(IN)  ::  compnam     !< component name
+
+    INTEGER(iwp), INTENT(IN)  ::  icmp            !< component index      
+    INTEGER(iwp), INTENT(IN)  ::  lu              !< land use type, lu = 1,...,nlu
+    INTEGER(iwp), INTENT(IN)  ::  nwet            !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
+
+    REAL(wp), INTENT(IN)  ::  t                   !< temperature (C)
 
     REAL(wp), INTENT(OUT) ::  rc_tot             !< total canopy resistance Rc (s/m)
@@ -4686,29 +4460,25 @@
     LOGICAL, INTENT(OUT) ::  ready               !< Rc has been set
                                                  !< = 1 -> constant Rc
-                                                 !< = 2 -> temperature dependent Rc
-
 !
 !-- Next line is to avoid compiler warning about unused variable
     IF ( icmp == 0 )  CONTINUE
-
-    !
-    !-- rc_tot is not yet set:
+!
+!-- rc_tot is not yet set:
     ready = .FALSE.
-
-    !
-    !-- Default compensation point in special CASEs = 0:
+!
+!-- Default compensation point in special CASEs = 0:
     ccomp_tot = 0.0_wp
 
     SELECT CASE( TRIM( compnam ) )
     CASE( 'HNO3', 'N2O5', 'NO3', 'H2O2' )
-       !
-       !-- No separate resistances for HNO3; just one total canopy resistance:
+!
+!--    No separate resistances for HNO3; just one total canopy resistance:
        IF ( t < -5.0_wp .AND. nwet == 9 )  THEN
-          !
-          !-- T < 5 C and snow:
+!
+!--       T < 5 C and snow:
           rc_tot = 50.0_wp
        ELSE
-          !
-          !-- all other circumstances:
+!
+!--       all other circumstances:
           rc_tot = 10.0_wp
        ENDIF
@@ -4724,9 +4494,9 @@
        ENDIF
     CASE( 'NO2', 'O3', 'SO2', 'NH3' )
-       !
-       !-- snow surface:
+!
+!--    snow surface:
        IF ( nwet == 9 )  THEN
-          !
-          !-- To be activated when snow is implemented
+!
+!--       To be activated when snow is implemented
           !CALL rc_snow(ipar_snow(icmp),t,rc_tot)
           ready = .TRUE.
@@ -4740,15 +4510,15 @@
 
 
-
- !-------------------------------------------------------------------
- !> rc_gw: compute external conductance
- !-------------------------------------------------------------------
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute external conductance
+!------------------------------------------------------------------------------!
  SUBROUTINE rc_gw( compnam, iratns, t, rh, nwet, sai_present, sai, gw )
 
     IMPLICIT NONE
-
-    !
-    !-- Input/output variables:
-    CHARACTER(len=*), INTENT(IN) ::  compnam      !< component name
+!
+!-- Input/output variables:
+    CHARACTER(LEN=*), INTENT(IN) ::  compnam      !< component name
 
     INTEGER(iwp), INTENT(IN) ::  nwet             !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
@@ -4757,5 +4527,4 @@
                                                   !< iratns = 2: high NH3/SO2
                                                   !< iratns = 3: very low NH3/SO2
-
     LOGICAL, INTENT(IN) ::  sai_present
 
@@ -4766,5 +4535,4 @@
     REAL(wp), INTENT(OUT) ::  gw                  !< external leaf conductance (m/s)
 
-
     SELECT CASE( TRIM( compnam ) )
 
@@ -4783,11 +4551,10 @@
     CASE( 'NH3' )
        CALL rw_nh3_sutton( t, rh, sai_present, gw )
-
-       !
-       !-- conversion from leaf resistance to canopy resistance by multiplying with sai:
+!
+!--    conversion from leaf resistance to canopy resistance by multiplying with sai:
        gw = sai * gw
 
     CASE default
-       message_string = 'Component '// TRIM(compnam) // ' not supported'
+       message_string = 'Component '// TRIM( compnam ) // ' not supported'
        CALL message( 'rc_gw', 'CM0458', 1, 2, 0, 6, 0 )
     END SELECT
@@ -4796,14 +4563,14 @@
 
 
-
- !-------------------------------------------------------------------
- !> rw_so2: compute external leaf conductance for SO2
- !-------------------------------------------------------------------
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute external leaf conductance for SO2
+!------------------------------------------------------------------------------!
  SUBROUTINE rw_so2( t, nwet, rh, iratns, sai_present, gw )
 
     IMPLICIT NONE
-
-    !
-    !-- Input/output variables:
+!
+!-- Input/output variables:
     INTEGER(iwp), INTENT(IN) ::  nwet        !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
     INTEGER(iwp), INTENT(IN) ::  iratns      !< index for NH3/SO2 ratio:
@@ -4817,19 +4584,17 @@
 
     REAL(wp), INTENT(OUT) ::  gw             !< external leaf conductance (m/s)
-
-    !
-    !-- Local variables:
+!
+!-- Local variables:
     REAL(wp) ::  rw                          !< external leaf resistance (s/m)
-
-
-    !
-    !-- Check if vegetation present:
+!
+!-- Check if vegetation present:
     IF ( sai_present )  THEN
 
        IF ( nwet == 0 )  THEN
-          !--------------------------
-          ! dry surface
-          !--------------------------
-          ! T > -1 C
+!
+!--   ------------------------
+!--         dry surface
+!--   ------------------------
+!--         T > -1 C
           IF ( t > -1.0_wp )  THEN
              IF ( rh < 81.3_wp )  THEN
@@ -4848,14 +4613,65 @@
           ENDIF
        ELSE
-          !--------------------------
-          ! wet surface
-          !--------------------------
+!
+!--   ------------------------
+!--         wet surface
+!--   ------------------------
           rw = 10.0_wp !see Table 5, Erisman et al, 1994 Atm. Environment, 0 is impl. as 10
        ENDIF
-
-       ! very low NH3/SO2 ratio:
+!
+!--    very low NH3/SO2 ratio:
        IF ( iratns == iratns_very_low ) rw = rw + 50.0_wp
-
-       ! Conductance:
+!
+!--      Conductance:
+       gw = 1.0_wp / rw
+    ELSE
+!
+!--      no vegetation:
+       gw = 0.0_wp
+    ENDIF
+
+ END SUBROUTINE rw_so2
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute external leaf conductance for NH3,
+!>                  following Sutton & Fowler, 1993
+!------------------------------------------------------------------------------!
+ SUBROUTINE rw_nh3_sutton( tsurf, rh,sai_present, gw )
+
+    IMPLICIT NONE
+!
+!-- Input/output variables:
+    LOGICAL, INTENT(IN) ::  sai_present
+
+    REAL(wp), INTENT(IN) ::  tsurf          !< surface temperature (C)
+    REAL(wp), INTENT(IN) ::  rh             !< relative humidity (%)
+
+    REAL(wp), INTENT(OUT) ::  gw            !< external leaf conductance (m/s)
+!
+!-- Local variables:
+    REAL(wp) ::  rw                         !< external leaf resistance (s/m)
+    REAL(wp) ::  sai_grass_haarweg          !< surface area index at experimental site Haarweg
+!
+!-- Fix sai_grass at value valid for Haarweg data for which gamma_w parametrization is derived
+    sai_grass_haarweg = 3.5_wp
+!
+!-- Calculation rw:
+!--                    100 - rh
+!--    rw = 2.0 * exp(----------)
+!--                      12
+
+    IF ( sai_present )  THEN
+!
+!--    External resistance according to Sutton & Fowler, 1993
+       rw = 2.0_wp * exp( ( 100.0_wp - rh ) / 12.0_wp )
+       rw = sai_grass_haarweg * rw
+!
+!--    Frozen soil (from Depac v1):
+       IF ( tsurf < 0.0_wp ) rw = 200.0_wp
+!
+!--    Conductance:
        gw = 1.0_wp / rw
     ELSE
@@ -4864,77 +4680,24 @@
     ENDIF
 
- END SUBROUTINE rw_so2
-
-
-
- !-------------------------------------------------------------------
- !> rw_nh3_sutton: compute external leaf conductance for NH3,
- !>                  following Sutton & Fowler, 1993
- !-------------------------------------------------------------------
- SUBROUTINE rw_nh3_sutton( tsurf, rh,sai_present, gw )
+ END SUBROUTINE rw_nh3_sutton
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute external leaf conductance 
+!------------------------------------------------------------------------------!
+ SUBROUTINE rw_constant( rw_val, sai_present, gw )
 
     IMPLICIT NONE
-
-    !
-    !-- Input/output variables:
+!
+!-- Input/output variables:
     LOGICAL, INTENT(IN) ::  sai_present
 
-    REAL(wp), INTENT(IN) ::  tsurf          !< surface temperature (C)
-    REAL(wp), INTENT(IN) ::  rh             !< relative humidity (%)
-
-    REAL(wp), INTENT(OUT) ::  gw            !< external leaf conductance (m/s)
-
-    !
-    !-- Local variables:
-    REAL(wp) ::  rw                         !< external leaf resistance (s/m)
-    REAL(wp) ::  sai_grass_haarweg          !< surface area index at experimental site Haarweg
-
-    !
-    !-- Fix sai_grass at value valid for Haarweg data for which gamma_w parametrization is derived
-    sai_grass_haarweg = 3.5_wp
-
-    !
-    !-- Calculation rw:
-    !                  100 - rh
-    !  rw = 2.0 * exp(----------)
-    !                    12
-
-    IF ( sai_present )  THEN
-
-       ! External resistance according to Sutton & Fowler, 1993
-       rw = 2.0_wp * exp( ( 100.0_wp - rh ) / 12.0_wp )
-       rw = sai_grass_haarweg * rw
-
-       ! Frozen soil (from Depac v1):
-       IF ( tsurf < 0.0_wp ) rw = 200.0_wp
-
-       ! Conductance:
-       gw = 1.0_wp / rw
-    ELSE
-       ! no vegetation:
-       gw = 0.0_wp
-    ENDIF
-
- END SUBROUTINE rw_nh3_sutton
-
-
-
- !-------------------------------------------------------------------
- !> rw_constant: compute constant external leaf conductance
- !-------------------------------------------------------------------
- SUBROUTINE rw_constant( rw_val, sai_present, gw )
-
-    IMPLICIT NONE
-
-    !
-    !-- Input/output variables:
-    LOGICAL, INTENT(IN) ::  sai_present
-
     REAL(wp), INTENT(IN) ::  rw_val       !< constant value of Rw    
 
     REAL(wp), INTENT(OUT) ::  gw          !< wernal leaf conductance (m/s)
-
-    !
-    !-- Compute conductance:
+!
+!-- Compute conductance:
     IF ( sai_present .AND. .NOT.missing(rw_val) )  THEN
        gw = 1.0_wp / rw_val
@@ -4946,15 +4709,15 @@
 
 
-
- !-------------------------------------------------------------------
- !> rc_gstom: compute stomatal conductance
- !-------------------------------------------------------------------
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine to compute stomatal conductance 
+!------------------------------------------------------------------------------!
  SUBROUTINE rc_gstom( icmp, compnam, lu, lai_present, lai, glrad, sinphi, t, rh, diffc, gstom, p ) 
 
     IMPLICIT NONE
-
-    !
-    !-- input/output variables:
-    CHARACTER(len=*), INTENT(IN) ::  compnam       !< component name
+!
+!-- input/output variables:
+    CHARACTER(LEN=*), INTENT(IN) ::  compnam       !< component name
 
     INTEGER(iwp), INTENT(IN) ::  icmp              !< component index
@@ -4973,26 +4736,23 @@
 
     REAL(wp), INTENT(OUT) ::  gstom                !< stomatal conductance (m/s)
-
-    !
-    !-- Local variables
+!
+!-- Local variables
     REAL(wp) ::  vpd                               !< vapour pressure deficit (kPa)
 
     REAL(wp), PARAMETER ::  dO3 = 0.13e-4          !< diffusion coefficient of ozon (m2/s)
-
 !
 !-- Next line is to avoid compiler warning about unused variables
     IF ( icmp == 0 )  CONTINUE
 
-    SELECT CASE( TRIM(compnam) )
+    SELECT CASE( TRIM( compnam ) )
 
     CASE( 'NO', 'CO' )
-       !
-       !-- For no stomatal uptake is neglected:
+!
+!--    For no stomatal uptake is neglected:
        gstom = 0.0_wp
 
     CASE( 'NO2', 'O3', 'SO2', 'NH3' )
-
-       !
-       !-- if vegetation present:
+!
+!--    if vegetation present:
        IF ( lai_present )  THEN
 
@@ -5005,11 +4765,11 @@
           ENDIF
        ELSE
-          !
-          !--no vegetation; zero conductance (infinite resistance):
+!
+!--       no vegetation; zero conductance (infinite resistance):
           gstom = 0.0_wp
        ENDIF
 
     CASE default
-       message_string = 'Component '// TRIM(compnam) // ' not supported'
+       message_string = 'Component '// TRIM( compnam ) // ' not supported'
        CALL message( 'rc_gstom', 'CM0459', 1, 2, 0, 6, 0 )
     END SELECT
